Get Funding Source
curl --request GET \
--url https://api.sandbox.sudo.cards/fundingsources/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/fundingsources/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/fundingsources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Funding source fetched successfully.",
"data": {
"_id": "670cec9d25852ba485d74286",
"business": "670cec9d25852ba485d74273",
"type": "default",
"status": "active",
"isDeleted": false,
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": "2025-06-05T09:15:00.000Z",
"__v": 0
}
}{
"statusCode": 400,
"message": "Invalid funding source id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Funding source not found.",
"data": null
}Funding Sources
Get Funding Source
Fetches a specific funding source object. Provide the source _id and the corresponding object will be returned.
GET
/
fundingsources
/
{id}
Get Funding Source
Authorizations
Path Parameters
The _id of the funding source you wish to fetch.
⌘I
